play.templates

## Class TemplateParser

- java.lang.Object
- - play.templates.TemplateParser

-     public class TemplateParser
      extends java.lang.Object

  Template parser

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TemplateParser.Token`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateParser(java.lang.String pageSource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `checkNext()`
    `java.lang.Integer` | `getLine()`
    `java.lang.String` | `getToken()`
    `TemplateParser.Token` | `nextToken()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateParser

          public TemplateParser(java.lang.String pageSource)

  - ### Method Detail

    - #### getLine

          public java.lang.Integer getLine()

    - #### getToken

          public java.lang.String getToken()

    - #### checkNext

          public java.lang.String checkNext()

    - #### nextToken

          public TemplateParser.Token nextToken()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly